!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-17 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_3228) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3227) = -ee**2d0/sw
      coupl(nGC_3225) = -cima*ee/(2d0*sw**2d0)
      coupl(nGC_3224) = cima*ee/(2d0*sw)
      coupl(nGC_3222) = -ee/(2d0*sw**2d0)
      coupl(nGC_3221) = ee/(2d0*sw)
      coupl(nGC_3388) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3380) = -sqrt(2d0)/2d0
      coupl(nGC_3382) = -sqrt(2d0)/2d0
      coupl(nGC_3384) = sqrt(2d0)/2d0
      coupl(nGC_3386) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3258) = -cima*ee**2d0*vev/cw
      coupl(nGC_3259) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_3252) = ee**2d0/cw
      coupl(nGC_3253) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_3250) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_3256) = cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_3255) = -cima*ee**2d0/cw
      coupl(nGC_69) = -cima*ym
      coupl(nGC_3260) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_28) = ee**2d0/(2d0*sw)
      coupl(nGC_29) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_22) = ee/(2d0*sw)
      coupl(nGC_23) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_20) = -cima*ee/(2d0*sw)
      coupl(nGC_21) = cima*ee/(2d0*sw)
      coupl(nGC_26) = -ee**2d0/(2d0*sw)
      coupl(nGC_27) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_24) = -cima*cw*ee/sw
      coupl(nGC_25) = cima*cw*ee/sw
      coupl(nGC_3181) = -cima*cw*ee/sw
      coupl(nGC_3242) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_3346) = -sqrt(2d0)/2d0
      coupl(nGC_3341) = sqrt(2d0)/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_3263) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_3262) = -ee**2d0/cw
      coupl(nGC_3267) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_3266) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_3265) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_3182) = cima*cw*ee/sw**2d0
      coupl(nGC_3183) = -cima*ee/sw
      coupl(nGC_3186) = ee/(4d0*cMW*sw)
      coupl(nGC_3187) = cMW*ee/(2d0*sw)
      coupl(nGC_3185) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_71) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_3165) = cima*ee/(2d0*cMW)
      coupl(nGC_3166) = cMW*cima*ee
      coupl(nGC_3160) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_3161) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_3163) = cima*ee
      coupl(nGC_I) = cima
      coupl(nGC_3168) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_3169) = -ee/(4d0*cMW*sw)
      coupl(nGC_87) = -sqrt(2d0)*cima*yup/2d0
      coupl(nGC_70) = -sqrt(2d0)*ym/2d0
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = ee**2d0/(2d0*cw)
      coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_MI) = -cima
      coupl(nGC_52) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev&
                       + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_51) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_50) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_57) = cima*yc
      coupl(nGC_56) = sqrt(2d0)*yb/2d0
      coupl(nGC_55) = -sqrt(2d0)*cima*yb/2d0
      coupl(nGC_54) = -sqrt(2d0)*yb/2d0
      coupl(nGC_59) = -sqrt(2d0)*cima*yc/2d0
      coupl(nGC_58) = -sqrt(2d0)*yc/2d0
      coupl(nGC_46) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_47) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_3238) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3234) = -cima*ee**2d0/sw**3d0
      coupl(nGC_3236) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_3237) = cima*ee**2d0*vev/sw**2d0
      coupl(nGC_3230) = -cima*ee/(2d0*sw)
      coupl(nGC_3231) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_3233) = cima*ee**2d0/sw**2d0
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_3300) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_3302) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_3303) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_3304) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_3306) = cima*ee*sw/cw
      coupl(nGC_3307) = cima*ee/cw
      coupl(nGC_3308) = -cima*ee*sw/cw**2d0
      coupl(nGC_60) = sqrt(2d0)*yc/2d0
      coupl(nGC_61) = -cima*ydo
      coupl(nGC_3280) = cima*ee/3d0
      coupl(nGC_3283) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_3284) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_3287) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_3286) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_3288) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_3214) = -cima*ee**2d0/sw
      coupl(nGC_17) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_15) = -3d0*cima*lam/2d0
      coupl(nGC_14) = -cima*lam
      coupl(nGC_13) = -cima*lam/2d0
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_10) = -gs
      coupl(nGC_19) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_18) = -cima*ee**2d0/sw**2d0
      coupl(nGC_3397) = sqrt(2d0)/2d0
      coupl(nGC_3215) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1111) = -coupl(nGC_12)
      coupl(nGC_3212) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3140) = -gs
      coupl(nGC_413) = -coupl(nGC_22)
      coupl(nGC_3378) = sqrt(2d0)/2d0
      coupl(nGC_3374) = sqrt(2d0)/2d0
      coupl(nGC_3376) = -sqrt(2d0)/2d0
      coupl(nGC_3207) = -3d0*cima*lam/2d0
      coupl(nGC_3206) = -3d0*cima*vev/2d0
      coupl(nGC_3196) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_3193) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_MH) = -cMH**2d0*cima
      coupl(nGC_3270) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_3271) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_3273) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_3274) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**&
                        2d0)
      coupl(nGC_3275) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                        )/(cw**3d0*sw**2d0)
      coupl(nGC_3276) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                        2d0)
      coupl(nGC_3278) = -2d0*cima*ee/3d0
      coupl(nGC_3248) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_3249) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_3153) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_3152) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_3155) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_3407) = -sqrt(2d0)/2d0
      coupl(nGC_3402) = sqrt(2d0)/2d0
      coupl(nGC_221) = -coupl(nGC_20)
      coupl(nGC_225) = -coupl(nGC_29)/2d0
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_3170) = -cMW*ee/(2d0*sw)
      coupl(nGC_451) = -coupl(nGC_25)
      coupl(nGC_3179) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_3178) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_48) = -cima*lam*vev/2d0
      coupl(nGC_49) = -3d0*cima*lam*vev/2d0
      coupl(nGC_44) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
      coupl(nGC_45) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_40) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_41) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_42) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_43) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_3219) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_685) = -coupl(nGC_10)
      coupl(nGC_3331) = -sqrt(2d0)/2d0
      coupl(nGC_3200) = -cima/2d0
      coupl(nGC_3203) = -cima*vev/2d0
      coupl(nGC_3204) = -cima*lam/2d0
      coupl(nGC_3146) = 2d0*cima*ee**2d0
      coupl(nGC_3144) = -cima*ee
      coupl(nGC_3142) = 2d0*cima*gs**2d0
      coupl(nGC_3157) = 2d0*cima*ee**2d0/sw
      coupl(nGC_3336) = -sqrt(2d0)/2d0
      coupl(nGC_3156) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_3299) = cima*ee/(3d0*cw)
      coupl(nGC_3296) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_3294) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_3295) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_3292) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_3290) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_3291) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_3298) = cima*ee*sw/(3d0*cw)
      coupl(nGC_313) = -coupl(nGC_3)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_127) = cima*gs
      coupl(nGC_75) = -sqrt(2d0)*cima*ys/2d0
      coupl(nGC_74) = -sqrt(2d0)*ys/2d0
      coupl(nGC_76) = sqrt(2d0)*ys/2d0
      coupl(nGC_73) = -cima*ys
      coupl(nGC_72) = sqrt(2d0)*ym/2d0
      coupl(nGC_3392) = -sqrt(2d0)/2d0
      coupl(nGC_3390) = -sqrt(2d0)*cima/2d0
      coupl(nGC_1113) = 2d0*coupl(nGC_12)
      coupl(nGC_3366) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3361) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3245) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_3244) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_3246) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_3241) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_3240) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_3148) = cima*cw*ee/sw
      coupl(nGC_3149) = -cima*cw*ee/sw**2d0
      coupl(nGC_3417) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3412) = -sqrt(2d0)*cima/2d0
      coupl(nGC_281) = -coupl(nGC_24)
      coupl(nGC_363) = -2d0*coupl(nGC_5)
      coupl(nGC_39) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_31) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_30) = -cMW*ee/(2d0*sw)
      coupl(nGC_33) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_32) = cMW*ee/(2d0*sw)
      coupl(nGC_35) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_34) = cima*ee*sw/(3d0*cw)
      coupl(nGC_37) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_36) = cima*ee*sw/cw
      coupl(nGC_3269) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                        **2d0)
      coupl(nGC_67) = -sqrt(2d0)*cima*ye/2d0
      coupl(nGC_3356) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3351) = sqrt(2d0)/2d0
      coupl(nGC_3189) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_64) = sqrt(2d0)*ydo/2d0
      coupl(nGC_3150) = cima*ee/sw
      coupl(nGC_3326) = sqrt(2d0)/2d0
      coupl(nGC_3159) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_3217) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_3198) = -3d0*cima/2d0
      coupl(nGC_3211) = ee**2d0/sw
      coupl(nGC_3195) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_3194) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_3191) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_3190) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_3218) = -cima*ee**2d0*vev/sw
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_3177) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_3176) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_3174) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_3173) = -cima*ee/(4d0*cMW*sw)
      coupl(nGC_3172) = cMW*cima*ee/(2d0*sw**2d0)
      coupl(nGC_38) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_88) = sqrt(2d0)*yup/2d0
      coupl(nGC_81) = -cima*ytau
      coupl(nGC_82) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_83) = -sqrt(2d0)*cima*ytau/2d0
      coupl(nGC_84) = sqrt(2d0)*ytau/2d0
      coupl(nGC_85) = cima*yup
      coupl(nGC_86) = -sqrt(2d0)*yup/2d0
      coupl(nGC_66) = -sqrt(2d0)*ye/2d0
      coupl(nGC_65) = -cima*ye
      coupl(nGC_62) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_63) = -sqrt(2d0)*cima*ydo/2d0
      coupl(nGC_68) = sqrt(2d0)*ye/2d0
      coupl(nGC_3209) = 4d0*cima*ee**2d0
      coupl(nGC_1107) = -2d0*coupl(nGC_12)
      coupl(nGC_235) = -coupl(nGC_4)
      coupl(nGC_835) = -coupl(nGC_40)
      coupl(nGC_469) = -2d0*coupl(nGC_19)
      coupl(nGC_1423) = -coupl(nGC_37)
      coupl(nGC_851) = -coupl(nGC_21)
      coupl(nGC_655) = -2d0*coupl(nGC_18)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
