!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-17 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3389) = coupl(nGC_3388)*dym_QED1
      coupl(nGC_3381) = coupl(nGC_3380)*dym_QED1
      coupl(nGC_3383) = coupl(nGC_3382)*dytau_QED1
      coupl(nGC_3385) = coupl(nGC_3384)*dytau_QED1
      coupl(nGC_3387) = coupl(nGC_3386)*dye_QED1
      coupl(nGC_3313) = -cima*dydo_QED1
      coupl(nGC_3312) = -cima*dydo_QED1_QCD2
      coupl(nGC_3317) = cima*dyup_QED1
      coupl(nGC_3316) = cima*dyup_QED1_QCD2
      coupl(nGC_3315) = cima*dyup_QED2
      coupl(nGC_3314) = cima*dyup_QED3
      coupl(nGC_3254) = coupl(nGC_3252)*dZee + coupl(nGC_3253)*dcw_
      coupl(nGC_3347) = coupl(nGC_3346)*dyb_QED3
      coupl(nGC_3342) = coupl(nGC_3341)*dys_QED3
      coupl(nGC_3343) = coupl(nGC_3341)*dys_QED2
      coupl(nGC_3311) = -cima*dydo_QED2
      coupl(nGC_3465) = cima*dMZ2
      coupl(nGC_3464) = -cima*dMB_QCD2
      coupl(nGC_3466) = cima*dMW2
      coupl(nGC_3461) = -cima*dMS_QCD2
      coupl(nGC_3463) = -cima*dMB_QED1
      coupl(nGC_3462) = -cima*dMB_QED2
      coupl(nGC_3319) = cima*dyc_QED2
      coupl(nGC_3318) = cima*dyc_QED3
      coupl(nGC_3261) = coupl(nGC_3258)*dZee + coupl(nGC_3259)*dcw_ + coupl(   &
                        nGC_3260)*dvev_QEDM1
      coupl(nGC_3264) = coupl(nGC_3262)*dZee + coupl(nGC_3263)*dcw_
      coupl(nGC_3184) = coupl(nGC_3181)*dZee + coupl(nGC_3182)*dsw_ + coupl(   &
                        nGC_3183)*dcw_
      coupl(nGC_3310) = -cima*dydo_QED3
      coupl(nGC_197) = 1d0/(2d0*cMZ)
      coupl(nGC_193) = -cima/(2d0*cMW)
      coupl(nGC_3323) = -cima*dys_QED2
      coupl(nGC_TS_GC_71_H) = -coupl(nGC_71)*dt/cMH**2d0
      coupl(nGC_3455) = -cima*dMT
      coupl(nGC_3456) = -cima*dMD_QED2
      coupl(nGC_3232) = coupl(nGC_3230)*dZee + coupl(nGC_3231)*dsw_
      coupl(nGC_2719) = -coupl(nGC_MI)*dZWMinus
      coupl(nGC_3305) = coupl(nGC_3302)*dZee + coupl(nGC_3303)*dsw_ + coupl(   &
                        nGC_3304)*dcw_
      coupl(nGC_3309) = coupl(nGC_3306)*dZee + coupl(nGC_3307)*dsw_ + coupl(   &
                        nGC_3308)*dcw_
      coupl(nGC_5454) = coupl(nGC_2)*dZcL_QED2
      coupl(nGC_5455) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_5159) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_5158) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
      coupl(nGC_7806) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_7805) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_TS_GC_52_H) = -coupl(nGC_52)*dt/cMH**2d0
      coupl(nGC_4716) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_4717) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_3371) = -cima*dye_QED1
      coupl(nGC_3373) = -cima*dytau_QED1
      coupl(nGC_3372) = -cima*dym_QED1
      coupl(nGC_3141) = coupl(nGC_3140)*dZgs_QCD2
      coupl(nGC_4942) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_4941) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
      coupl(nGC_5112) = coupl(nGC_MZ)*dZZA/2d0
      coupl(nGC_5111) = coupl(nGC_MI)*dZZA/2d0
      coupl(nGC_5110) = coupl(nGC_MI)*dZAZ/2d0
      coupl(nGC_3277) = coupl(nGC_3273)*dsw_ + coupl(nGC_3274)*dZee + coupl(   &
                        nGC_3275)*dcw_ + coupl(nGC_3276)*dvev_QEDM1
      coupl(nGC_3279) = coupl(nGC_3278)*dZee
      coupl(nGC_3154) = coupl(nGC_3152)*dZee + coupl(nGC_3153)*dsw_
      coupl(nGC_3401) = coupl(nGC_3397)*dyup_QED1
      coupl(nGC_3400) = coupl(nGC_3397)*dyup_QED1_QCD2
      coupl(nGC_3087) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 40d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_6785) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_4752) = -coupl(nGC_24)*dZZ/2d0 - coupl(nGC_3184) - coupl(nGC_4 &
                        )*dZAZ/2d0
      coupl(nGC_7492) = coupl(nGC_3464) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_6784) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_4756) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3254) + coupl(nGC_9 &
                        )*dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
      coupl(nGC_TS_GC_8_H) = -coupl(nGC_8)*dt/cMH**2d0
      coupl(nGC_4678) = coupl(nGC_3381) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(&
                        nGC_70)*dZmuMinusR/2d0
      coupl(nGC_5363) = coupl(nGC_3261) + coupl(nGC_47)*dZWMinus/2d0 + coupl(  &
                        nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
      coupl(nGC_TS_GC_46_H) = -coupl(nGC_46)*dt/cMH**2d0
      coupl(nGC_6919) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_6915) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_6647) = coupl(nGC_MI)*dZZ
      coupl(nGC_5894) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_5895) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_7668) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_5291) = coupl(nGC_3305) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41 &
                        )*dZnu_muL
      coupl(nGC_5096) = coupl(nGC_3318) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl( &
                        nGC_57)*dZsL_QED2/2d0
      coupl(nGC_2887) = -coupl(nGC_MI)*dZA
      coupl(nGC_3202) = -cima*dlam_QED2
      coupl(nGC_3147) = coupl(nGC_3146)*dZee
      coupl(nGC_3447) = -cima*dMM
      coupl(nGC_3446) = -cima*dME
      coupl(nGC_3145) = coupl(nGC_3144)*dZee
      coupl(nGC_3444) = -cima*dMH2
      coupl(nGC_3143) = coupl(nGC_3142)*dZgs_QCD2
      coupl(nGC_4911) = coupl(nGC_52)*dZZA/2d0
      coupl(nGC_3334) = coupl(nGC_3331)*dydo_QED1_QCD2
      coupl(nGC_3333) = coupl(nGC_3331)*dydo_QED2
      coupl(nGC_3332) = coupl(nGC_3331)*dydo_QED3
      coupl(nGC_3111) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) +   &
                        2d0*coupl(nGC_2))/(192d0*pi**2d0)
      coupl(nGC_3113) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) +   &
                        2d0*coupl(nGC_2))/(48d0*pi**2d0*Nc**2d0)
      coupl(nGC_3112) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_1) -  &
                        2d0*coupl(nGC_2))/(96d0*pi**2d0*Nc)
      coupl(nGC_3449) = -cima*dMU_QED2
      coupl(nGC_5147) = coupl(nGC_MI)*dZA
      coupl(nGC_7669) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_TS_GC_49_H) = -coupl(nGC_49)*dt/cMH**2d0
      coupl(nGC_5635) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_5633) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_TS_GC_21_H) = -coupl(nGC_21)*dt/cMH**2d0
      coupl(nGC_3060) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3063) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3065) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_3066) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_7813) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_6359) = coupl(nGC_MI)*dZWMinus
      coupl(nGC_5604) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_4765) = -coupl(nGC_3)*dZWMinus/2d0 - coupl(nGC_3145)
      coupl(nGC_5600) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_5553) = coupl(nGC_3347) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl( &
                        nGC_54)*dZbR_QED2/2d0
      coupl(nGC_5967) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_6704) = coupl(nGC_1)*dZsR_QED2
      coupl(nGC_3335) = coupl(nGC_3331)*dydo_QED1
      coupl(nGC_5968) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_6920) = coupl(nGC_3446) + coupl(nGC_ME)*dZeMinusL/2d0 + coupl( &
                        nGC_ME)*dZeMinusR/2d0
      coupl(nGC_7630) = -coupl(nGC_20)*dZH/2d0 - coupl(nGC_20)*dZWMinus/2d0 -  &
                        coupl(nGC_3232)
      coupl(nGC_4959) = coupl(nGC_1)*dZdL_QED2
      coupl(nGC_3448) = -cima*dMTA
      coupl(nGC_4951) = coupl(nGC_1)*dZbL_QED2
      coupl(nGC_4952) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_4954) = coupl(nGC_1)*dZbR_QED2
      coupl(nGC_4955) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_3399) = coupl(nGC_3397)*dyup_QED2
      coupl(nGC_3398) = coupl(nGC_3397)*dyup_QED3
      coupl(nGC_7416) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3141)
      coupl(nGC_3396) = coupl(nGC_3392)*dyup_QED1
      coupl(nGC_3395) = coupl(nGC_3392)*dyup_QED1_QCD2
      coupl(nGC_3394) = coupl(nGC_3392)*dyup_QED2
      coupl(nGC_5102) = coupl(nGC_3372) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(&
                        nGC_69)*dZnu_muL/2d0
      coupl(nGC_3367) = coupl(nGC_3366)*dyb_QED3
      coupl(nGC_3368) = coupl(nGC_3366)*dyb_QED2
      coupl(nGC_3369) = coupl(nGC_3366)*dyb_QED1_QCD2
      coupl(nGC_3026) = cima*(coupl(nGC_25)*coupl(nGC_3) + coupl(nGC_313)*coupl&
                        (nGC_451))/(48d0*pi**2d0)
      coupl(nGC_3020) = cima*(coupl(nGC_25)**2d0 + coupl(nGC_3)**2d0 + coupl(  &
                        nGC_313)**2d0 + coupl(nGC_451)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3023) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_313)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_3022) = cima*(-12d0*Nc*coupl(nGC_1)**2d0 - 8d0*Nc*coupl(nGC_2  &
                        )**2d0 - 3d0*coupl(nGC_3)**2d0 - 3d0*coupl(nGC_313)**  &
                        2d0 - 12d0*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3029) = cima*(coupl(nGC_25)**2d0 + coupl(nGC_451)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_6585) = coupl(nGC_3277) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52 &
                        )*dZZ
      coupl(nGC_3411) = coupl(nGC_3407)*dyc_QED1
      coupl(nGC_3413) = coupl(nGC_3412)*dyup_QED3
      coupl(nGC_8732) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3143)
      coupl(nGC_8733) = -4d0*coupl(nGC_12)*dZg_QCD2 - 2d0*coupl(nGC_3143)
      coupl(nGC_8736) = -2d0*coupl(nGC_12)*dZg_QCD2 - coupl(nGC_3143)
      coupl(nGC_8737) = 4d0*coupl(nGC_12)*dZg_QCD2 + 2d0*coupl(nGC_3143)
      coupl(nGC_3097) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3098) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3099) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5959) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_5460) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_3101) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)**2d0&
                         + 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0)
      coupl(nGC_6450) = coupl(nGC_3389) + coupl(nGC_71)*dZH/2d0 + coupl(nGC_71 &
                        )*dZmuMinusL/2d0 + coupl(nGC_71)*dZmuMinusR/2d0
      coupl(nGC_TS_GC_48_H) = -coupl(nGC_48)*dt/cMH**2d0
      coupl(nGC_6001) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_7814) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_TS_GC_20_H) = -coupl(nGC_20)*dt/cMH**2d0
      coupl(nGC_7678) = coupl(nGC_3456) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0
      coupl(nGC_4907) = coupl(nGC_3310) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl( &
                        nGC_61)*dZuL_QED2/2d0
      coupl(nGC_4999) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_3279) + coupl(nGC_35)*&
                        dZZA/2d0
      coupl(nGC_4994) = coupl(nGC_2)*dZuR_QED2
      coupl(nGC_4990) = -coupl(nGC_24)*dZWMinus/2d0 - coupl(nGC_3184)
      coupl(nGC_4991) = coupl(nGC_2)*dZuL_QED2
      coupl(nGC_7676) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_7677) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_TS_GC_27_H) = -coupl(nGC_27)*dt/cMH**2d0
      coupl(nGC_3167) = coupl(nGC_3165)*dMW2 + coupl(nGC_3166)*dZee
      coupl(nGC_3350) = coupl(nGC_3346)*dyb_QED1
      coupl(nGC_TS_GC_59_H) = -coupl(nGC_59)*dt/cMH**2d0
      coupl(nGC_3365) = coupl(nGC_3361)*dys_QED1
      coupl(nGC_TS_GC_87_H) = -coupl(nGC_87)*dt/cMH**2d0
      coupl(nGC_3322) = -cima*dys_QED3
      coupl(nGC_3320) = cima*dyc_QED1_QCD2
      coupl(nGC_3321) = cima*dyc_QED1
      coupl(nGC_3327) = coupl(nGC_3326)*dydo_QED3
      coupl(nGC_3324) = -cima*dys_QED1_QCD2
      coupl(nGC_3325) = -cima*dys_QED1
      coupl(nGC_3450) = -cima*dMU_QED1
      coupl(nGC_3451) = -cima*dMU_QCD2
      coupl(nGC_3100) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3453) = -cima*dMC_QED1
      coupl(nGC_3454) = -cima*dMC_QCD2
      coupl(nGC_3107) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/( &
                        48d0*pi**2d0*Nc)
      coupl(nGC_3457) = -cima*dMD_QED1
      coupl(nGC_3458) = -cima*dMD_QCD2
      coupl(nGC_3459) = -cima*dMS_QED2
      coupl(nGC_3108) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                        48d0*pi**2d0)
      coupl(nGC_6894) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_6890) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_3158) = coupl(nGC_3155)*dZee + coupl(nGC_3156)*dsw_ + coupl(   &
                        nGC_3157)*dcw_
      coupl(nGC_TS_GC_67_H) = -coupl(nGC_67)*dt/cMH**2d0
      coupl(nGC_6293) = coupl(nGC_3309) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36 &
                        )*dZeMinusR + coupl(nGC_4)*dZAZ/2d0
      coupl(nGC_3015) = -coupl(nGC_MI)*dZZ
      coupl(nGC_3216) = coupl(nGC_3214)*dZee + coupl(nGC_3215)*dsw_
      coupl(nGC_3197) = coupl(nGC_3193)*dZee + coupl(nGC_3194)*dsw_ + coupl(   &
                        nGC_3195)*dMZ2 + coupl(nGC_3196)*dcw_
      coupl(nGC_3078) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl&
                        (nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3079) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)* &
                        coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3076) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_3077) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)* &
                        coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3073) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_3070) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_6363) = coupl(nGC_3466) + coupl(nGC_MW)*dZWMinus
      coupl(nGC_TS_GC_13_H) = -coupl(nGC_13)*dt/cMH**2d0
      coupl(nGC_4776) = coupl(nGC_38)*dZdL_QED2
      coupl(nGC_4777) = coupl(nGC_38)*dZdL_QCD2
      coupl(nGC_5829) = coupl(nGC_3455) + coupl(nGC_MT)*dZtL/2d0 + coupl(nGC_MT&
                        )*dZtR/2d0
      coupl(nGC_5828) = coupl(nGC_MI)*dZtR
      coupl(nGC_5826) = coupl(nGC_MI)*dZtL
      coupl(nGC_3120) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34) - &
                        2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(     &
                        nGC_39))/(192d0*pi**2d0*Nc)
      coupl(nGC_3121) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) +  &
                        2d0*coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(     &
                        nGC_39))/(96d0*pi**2d0*Nc**2d0)
      coupl(nGC_6888) = coupl(nGC_MZ_GF)*dZZA/2d0
      coupl(nGC_189) = cima/(2d0*cMW)
      coupl(nGC_3452) = -cima*dMC_QED2
      coupl(nGC_5384) = coupl(nGC_3197) + coupl(nGC_44)*dZH/2d0
      coupl(nGC_4892) = coupl(nGC_46)*dZZA/2d0
      coupl(nGC_3460) = -cima*dMS_QED1
      coupl(nGC_7490) = coupl(nGC_3462) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0
      coupl(nGC_6701) = coupl(nGC_1)*dZsL_QED2
      coupl(nGC_6705) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_4743) = coupl(nGC_29)*dZZA - 2d0*coupl(nGC_3147) - 2d0*coupl(  &
                        nGC_5)*dZA - 2d0*coupl(nGC_5)*dZWMinus
      coupl(nGC_3089) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**&
                        2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3088) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 40d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4960) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_4963) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_4962) = coupl(nGC_1)*dZdR_QED2
      coupl(nGC_4742) = -coupl(nGC_29)*dZZA/2d0 + coupl(nGC_3147) + coupl(nGC_5&
                        )*dZA + coupl(nGC_5)*dZWMinus
      coupl(nGC_4995) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_4800) = coupl(nGC_3305) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41 &
                        )*dZnu_tauL
      coupl(nGC_8215) = coupl(nGC_3444) + coupl(nGC_MH)*dZH
      coupl(nGC_3229) = coupl(nGC_3227)*dZee + coupl(nGC_3228)*dsw_
      coupl(nGC_3226) = coupl(nGC_3224)*dZee + coupl(nGC_3225)*dsw_
      coupl(nGC_3223) = coupl(nGC_3221)*dZee + coupl(nGC_3222)*dsw_
      coupl(nGC_3220) = coupl(nGC_3217)*dsw_ + coupl(nGC_3218)*dZee + coupl(   &
                        nGC_3219)*dvev_QEDM1
      coupl(nGC_5688) = coupl(nGC_39)*dZcL_QCD2
      coupl(nGC_5687) = coupl(nGC_39)*dZcL_QED2
      coupl(nGC_TS_GC_50_H) = -coupl(nGC_50)*dt/cMH**2d0
      coupl(nGC_5684) = coupl(nGC_35)*dZcR_QCD2
      coupl(nGC_5683) = coupl(nGC_35)*dZcR_QED2
      coupl(nGC_3251) = coupl(nGC_3248)*dZee + coupl(nGC_3249)*dsw_ + coupl(   &
                        nGC_3250)*dcw_
      coupl(nGC_3257) = coupl(nGC_3255)*dZee + coupl(nGC_3256)*dcw_
      coupl(nGC_3031) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 10d0*coupl( &
                        nGC_11)**2d0)/(192d0*pi**2d0)
      coupl(nGC_3036) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3034) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 10d0*coupl(&
                        nGC_11)**2d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_3035) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_4702) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_4706) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_3139) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3138) = 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(192d0*pi**2d0*Nc &
                        **2d0)
      coupl(nGC_3421) = coupl(nGC_3417)*dyc_QED1
      coupl(nGC_3420) = coupl(nGC_3417)*dyc_QED1_QCD2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
