!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-17 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_4850) = coupl(nGC_3205) + coupl(nGC_48)*dZH/2d0
      coupl(nGC_5504) = coupl(nGC_3403) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl( &
                        nGC_60)*dZcR_QED2/2d0
      coupl(nGC_5505) = coupl(nGC_3410) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl( &
                        nGC_58)*dZcR_QCD2/2d0
      coupl(nGC_5506) = coupl(nGC_3405) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl( &
                        nGC_60)*dZcR_QCD2/2d0
      coupl(nGC_4992) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_5503) = coupl(nGC_3408) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl( &
                        nGC_58)*dZcR_QED2/2d0
      coupl(nGC_5812) = -coupl(nGC_25)*dZWMinus - coupl(nGC_25)*dZZ/2d0 - coupl&
                        (nGC_3)*dZAZ/2d0 - coupl(nGC_3151)
      coupl(nGC_3359) = coupl(nGC_3356)*dydo_QED1_QCD2
      coupl(nGC_3358) = coupl(nGC_3356)*dydo_QED2
      coupl(nGC_3357) = coupl(nGC_3356)*dydo_QED3
      coupl(nGC_3355) = coupl(nGC_3351)*dyb_QED1
      coupl(nGC_3354) = coupl(nGC_3351)*dyb_QED1_QCD2
      coupl(nGC_3353) = coupl(nGC_3351)*dyb_QED2
      coupl(nGC_3352) = coupl(nGC_3351)*dyb_QED3
      coupl(nGC_5438) = coupl(nGC_3239) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50 &
                        )*dZWMinus
      coupl(nGC_3328) = coupl(nGC_3326)*dydo_QED2
      coupl(nGC_3329) = coupl(nGC_3326)*dydo_QED1_QCD2
      coupl(nGC_5430) = coupl(nGC_3164) + coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4 &
                        )*dZA/2d0 + coupl(nGC_4)*dZeMinusR
      coupl(nGC_5431) = coupl(nGC_3164) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_4)* &
                        dZeMinusL + coupl(nGC_40)*dZZA/2d0
      coupl(nGC_3102) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)**  &
                        2d0 - 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0*Nc)
      coupl(nGC_3103) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)*    &
                        coupl(nGC_34) + 3d0*coupl(nGC_1)*coupl(nGC_38) + 2d0*  &
                        coupl(nGC_2)*coupl(nGC_35) + 2d0*coupl(nGC_2)*coupl(   &
                        nGC_39))/(96d0*pi**2d0)
      coupl(nGC_3106) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_34)** &
                        2d0 - 2d0*coupl(nGC_35)**2d0 - 3d0*coupl(nGC_38)**2d0  &
                         - 2d0*coupl(nGC_39)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_3104) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)*   &
                        coupl(nGC_34) - 3d0*coupl(nGC_1)*coupl(nGC_38) - 2d0*  &
                        coupl(nGC_2)*coupl(nGC_35) - 2d0*coupl(nGC_2)*coupl(   &
                        nGC_39))/(96d0*pi**2d0*Nc)
      coupl(nGC_3105) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_34)**  &
                        2d0 + 2d0*coupl(nGC_35)**2d0 + 3d0*coupl(nGC_38)**2d0  &
                         + 2d0*coupl(nGC_39)**2d0)/(96d0*pi**2d0)
      coupl(nGC_6895) = coupl(nGC_3447) + coupl(nGC_MM)*dZmuMinusL/2d0 + coupl(&
                        nGC_MM)*dZmuMinusR/2d0
      coupl(nGC_4672) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3257) + coupl(nGC_8 &
                        )*dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*  &
                        dZZ/2d0
      coupl(nGC_4677) = coupl(nGC_3379) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(&
                        nGC_72)*dZmuMinusR/2d0
      coupl(nGC_4681) = coupl(nGC_17)*dZWMinus + coupl(nGC_3235)
      coupl(nGC_5175) = coupl(nGC_3164) + coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4 &
                        )*dZA/2d0 + coupl(nGC_4)*dZtauMinusR
      coupl(nGC_5072) = coupl(nGC_3309) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36 &
                        )*dZmuMinusR + coupl(nGC_4)*dZAZ/2d0
      coupl(nGC_5073) = coupl(nGC_3251) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40 &
                        )*dZZ/2d0 + coupl(nGC_40)*dZmuMinusL
      coupl(nGC_6294) = coupl(nGC_3251) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40 &
                        )*dZZ/2d0 + coupl(nGC_40)*dZeMinusL
      coupl(nGC_5076) = -coupl(nGC_3164) - coupl(nGC_4)*dZWMinus/2d0
      coupl(nGC_5649) = coupl(nGC_38)*dZsL_QCD2
      coupl(nGC_5648) = coupl(nGC_38)*dZsL_QED2
      coupl(nGC_3199) = coupl(nGC_3198)*dlam_QED2
      coupl(nGC_3213) = coupl(nGC_3211)*dZee + coupl(nGC_3212)*dsw_
      coupl(nGC_3210) = coupl(nGC_3209)*dZee
      coupl(nGC_5640) = coupl(nGC_11)*dZbL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3282)
      coupl(nGC_3192) = coupl(nGC_3189)*dZee + coupl(nGC_3190)*dsw_ + coupl(   &
                        nGC_3191)*dMZ2
      coupl(nGC_3175) = coupl(nGC_3172)*dsw_ + coupl(nGC_3173)*dMW2 + coupl(   &
                        nGC_3174)*dZee
      coupl(nGC_3171) = coupl(nGC_3168)*dsw_ + coupl(nGC_3169)*dMW2 + coupl(   &
                        nGC_3170)*dZee
      coupl(nGC_3074) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**&
                        2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3075) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3072) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3071) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**&
                        2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3128) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*   &
                        coupl(nGC_1113)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_1107)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_1111)*sq2**2d0 + 33d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_1113)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_12)*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_6169) = coupl(nGC_3467) + coupl(nGC_MW_GF)*dZWMinus/2d0
      coupl(nGC_6524) = -coupl(nGC_3251) - coupl(nGC_4)*dZAZ/2d0 - coupl(nGC_40&
                        )*dZZ/2d0
      coupl(nGC_6702) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_4809) = coupl(nGC_3375) + coupl(nGC_68)*dZeMinusL/2d0 + coupl( &
                        nGC_68)*dZeMinusR/2d0
      coupl(nGC_4804) = coupl(nGC_3272) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
      coupl(nGC_9267) = -coupl(nGC_3122)
      coupl(nGC_5419) = coupl(nGC_3339) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl( &
                        nGC_74)*dZsR_QCD2/2d0
      coupl(nGC_5554) = coupl(nGC_3354) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl( &
                        nGC_56)*dZbR_QCD2/2d0
      coupl(nGC_4651) = -coupl(nGC_25)*dZZ/2d0 - coupl(nGC_3)*dZAZ/2d0 - coupl(&
                        nGC_3151)
      coupl(nGC_6053) = -coupl(nGC_3164) - coupl(nGC_4)*dZA/2d0 - coupl(nGC_40 &
                        )*dZZA/2d0
      coupl(nGC_6858) = coupl(nGC_3415) + coupl(nGC_87)*dZuL_QCD2/2d0 + coupl( &
                        nGC_87)*dZuR_QCD2/2d0
      coupl(nGC_3042) = (-4d0*Nc*cMC**2d0*cima*coupl(nGC_57)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_73)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_85 &
                        )**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_57)**2d0 - 4d0*&
                        Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - 4d0*Nc*cMU**2d0* &
                        cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(  &
                        nGC_85)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_65)**2d0 -  &
                        cMH**2d0*cima*coupl(nGC_20)*coupl(nGC_851) - cMH**2d0* &
                        cima*coupl(nGC_21)*coupl(nGC_221) - 4d0*cMM**2d0*cima* &
                        coupl(nGC_69)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_81)**&
                        2d0 - cMW**2d0*cima*coupl(nGC_20)*coupl(nGC_851) - cMW &
                        **2d0*cima*coupl(nGC_21)*coupl(nGC_221) - 2d0*cMW**2d0*&
                        cima*coupl(nGC_22)*coupl(nGC_413) - cMW**2d0*cima*coupl&
                        (nGC_235)**2d0 - cMW**2d0*cima*coupl(nGC_4)**2d0 - cMW &
                        **2d0*cima*coupl(nGC_40)**2d0 - cMW**2d0*cima*coupl(   &
                        nGC_835)**2d0 - 8d0*cMW**2d0*coupl(nGC_17) - 2d0*cMZ** &
                        2d0*cima*coupl(nGC_22)*coupl(nGC_413) - cMZ**2d0*cima* &
                        coupl(nGC_40)**2d0 - cMZ**2d0*cima*coupl(nGC_835)**2d0 &
                         - 4d0*cMZ**2d0*coupl(nGC_45) + 8d0*cima*coupl(nGC_47  &
                        )**2d0 + 8d0*cima*coupl(nGC_51)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3041) = cima*(4d0*Nc*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_61  &
                        )**2d0 + 4d0*Nc*coupl(nGC_73)**2d0 + 4d0*Nc*coupl(     &
                        nGC_85)**2d0 + coupl(nGC_20)*coupl(nGC_851) + coupl(   &
                        nGC_21)*coupl(nGC_221) + 2d0*coupl(nGC_22)*coupl(      &
                        nGC_413) + coupl(nGC_235)**2d0 + coupl(nGC_4)**2d0 +   &
                        coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl&
                        (nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0 + coupl(nGC_835 &
                        )**2d0)/(192d0*pi**2d0)
      coupl(nGC_3040) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) -   &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc* &
                        cMS**2d0*cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_86)*coupl(nGC_88) - 8d0*cME**2d0* &
                        cima*coupl(nGC_66)*coupl(nGC_68) - cMH**2d0*cima*coupl(&
                        nGC_1423)*coupl(nGC_37) - 8d0*cMM**2d0*cima*coupl(     &
                        nGC_70)*coupl(nGC_72) - 8d0*cMTA**2d0*cima*coupl(nGC_82&
                        )*coupl(nGC_84) - 4d0*cMW**2d0*cima*coupl(nGC_22)*coupl&
                        (nGC_413) - 4d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*cima*&
                        coupl(nGC_1423)*coupl(nGC_37) - 2d0*cMZ**2d0*coupl(    &
                        nGC_46))/(32d0*pi**2d0)
      coupl(nGC_6857) = coupl(nGC_3416) + coupl(nGC_87)*dZH/2d0
      coupl(nGC_5138) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(    &
                        nGC_3235)
      coupl(nGC_9263) = -coupl(nGC_3119)
      coupl(nGC_4664) = coupl(nGC_3359) + coupl(nGC_63)*dZdL_QCD2/2d0 + coupl( &
                        nGC_63)*dZdR_QCD2/2d0
      coupl(nGC_4662) = coupl(nGC_3357) + coupl(nGC_63)*dZdL_QED2/2d0 + coupl( &
                        nGC_63)*dZdR_QED2/2d0
      coupl(nGC_4663) = coupl(nGC_3360) + coupl(nGC_63)*dZH/2d0
      coupl(nGC_4938) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ - coupl(    &
                        nGC_29)*dZAZ/2d0 + coupl(nGC_3162)
      coupl(nGC_4833) = coupl(nGC_3393) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl( &
                        nGC_86)*dZuR_QED2/2d0
      coupl(nGC_4668) = coupl(nGC_3210) + coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
      coupl(nGC_4748) = coupl(nGC_3243) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42 &
                        )*dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/&
                        2d0
      coupl(nGC_4709) = coupl(nGC_11)*dZcL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3282)
      coupl(nGC_4708) = coupl(nGC_11)*dZcR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3282)
      coupl(nGC_3030) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_38)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_35)**2d0 &
                         + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + 2d0*cME** &
                        2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*coupl( &
                        nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0 +  &
                        2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0*  &
                        cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(    &
                        nGC_40)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +  &
                        3d0*cMW**2d0*cima*coupl(nGC_451)**2d0 - 2d0*cMW**2d0*  &
                        coupl(nGC_469))/(16d0*pi**2d0)
      coupl(nGC_3037) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59  &
                        )**2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(     &
                        nGC_75)**2d0 + 4d0*Nc*coupl(nGC_87)**2d0 + coupl(      &
                        nGC_1423)*coupl(nGC_37) + coupl(nGC_20)*coupl(nGC_851  &
                        ) + coupl(nGC_21)*coupl(nGC_221) + 4d0*coupl(nGC_67)** &
                        2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83)**2d0  &
                        )/(96d0*pi**2d0)
      coupl(nGC_4701) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/  &
                        2d0 + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3285)
      coupl(nGC_3038) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75 &
                        )**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_87)**2d0 - 4d0*&
                        cME**2d0*cima*coupl(nGC_67)**2d0 - 4d0*cMM**2d0*cima*  &
                        coupl(nGC_71)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_83)**&
                        2d0 - cMW**2d0*cima*coupl(nGC_20)*coupl(nGC_851) - cMW &
                        **2d0*cima*coupl(nGC_21)*coupl(nGC_221) - 2d0*cMW**2d0*&
                        coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_1423)*coupl(   &
                        nGC_37) - cMZ**2d0*coupl(nGC_46) + 2d0*cima*coupl(     &
                        nGC_50)**2d0 + cima*coupl(nGC_52)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3039) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl&
                        (nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(   &
                        nGC_64) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc* &
                        coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_1423)*coupl(   &
                        nGC_37) + 2d0*coupl(nGC_22)*coupl(nGC_413) + 4d0*coupl(&
                        nGC_66)*coupl(nGC_68) + 4d0*coupl(nGC_70)*coupl(nGC_72 &
                        ) + 4d0*coupl(nGC_82)*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_4840) = coupl(nGC_3164) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*&
                        dZZA/2d0
      coupl(nGC_4643) = coupl(nGC_1)*dZAZ/2d0 + coupl(nGC_3297) + coupl(nGC_38 &
                        )*dZZ/2d0
      coupl(nGC_5552) = coupl(nGC_3352) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl( &
                        nGC_56)*dZbR_QED2/2d0
      coupl(nGC_4732) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3175)
      coupl(nGC_4937) = -2d0*coupl(nGC_19)*dZWMinus - 2d0*coupl(nGC_19)*dZZ +  &
                        coupl(nGC_29)*dZAZ - 2d0*coupl(nGC_3162)
      coupl(nGC_5128) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsR_QCD2 + &
                        coupl(nGC_3282)
      coupl(nGC_5129) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsL_QCD2 + &
                        coupl(nGC_3282)
      coupl(nGC_7210) = coupl(nGC_3247) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37 &
                        )*dZZ/2d0
      coupl(nGC_6008) = coupl(nGC_11)*dZdL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3282)
      coupl(nGC_5417) = coupl(nGC_3337) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl( &
                        nGC_74)*dZsR_QED2/2d0
      coupl(nGC_4987) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3199)
      coupl(nGC_6007) = coupl(nGC_11)*dZdR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3282)
      coupl(nGC_5690) = coupl(nGC_2)*dZAZ/2d0 + coupl(nGC_3289) + coupl(nGC_35 &
                        )*dZZ/2d0
      coupl(nGC_5691) = coupl(nGC_2)*dZAZ/2d0 + coupl(nGC_3293) + coupl(nGC_39 &
                        )*dZZ/2d0
      coupl(nGC_5737) = coupl(nGC_3362) + coupl(nGC_75)*dZsL_QED2/2d0 + coupl( &
                        nGC_75)*dZsR_QED2/2d0
      coupl(nGC_4820) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +   &
                        coupl(nGC_3213) + coupl(nGC_9)*dZZA/2d0
      coupl(nGC_5719) = coupl(nGC_3391) + coupl(nGC_83)*dZH/2d0 + coupl(nGC_83 &
                        )*dZtauMinusL/2d0 + coupl(nGC_83)*dZtauMinusR/2d0
      coupl(nGC_4928) = coupl(nGC_3208) + 3d0*coupl(nGC_49)*dZH/2d0
      coupl(nGC_4865) = coupl(nGC_3329) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl( &
                        nGC_64)*dZdR_QCD2/2d0
      coupl(nGC_5739) = coupl(nGC_3364) + coupl(nGC_75)*dZsL_QCD2/2d0 + coupl( &
                        nGC_75)*dZsR_QCD2/2d0
      coupl(nGC_6618) = coupl(nGC_3418) + coupl(nGC_59)*dZcL_QED2/2d0 + coupl( &
                        nGC_59)*dZcR_QED2/2d0
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
